# Generated from aspecto-opentelemetry-0.1.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name aspecto-opentelemetry

Name: rubygem-%{gem_name}
Version: 0.1.9
Release: 1%{?dist}
Summary: Aspecto SDK and OpenTelemetry distribution for ruby programming language
License: Apache-2.0
URL: https://docs.aspecto.io/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(opentelemetry-common) = 0.19.3
# BuildRequires: rubygem(rspec-mocks)
# BuildRequires: rubygem(rubocop) >= 1.7
# BuildRequires: rubygem(rubocop) < 2
BuildArch: noarch

%description
Aspecto SDK and OpenTelemetry distribution for ruby programming language.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.9-1
- Initial package
